# Deprecated API

## Contents

- Enums
- Annotation Types
- Enum Constants

Enums
org.eclipse.microprofile.metrics.MetricRegistry.Type: As of release 5.0, please use `MetricRegistry.APPLICATION_SCOPE`, `MetricRegistry.BASE_SCOPE` or `MetricRegistry.VENDOR_SCOPE` with `RegistryScope` instead.

Annotation Types
org.eclipse.microprofile.metrics.annotation.RegistryType: As of rlease 5.0, please use `RegistryScope` instead

Enum Constants
org.eclipse.microprofile.metrics.MetricRegistry.Type.APPLICATION: As of release 5.0, please use `MetricRegistry.APPLICATION_SCOPE` with `RegistryScope` instead.
org.eclipse.microprofile.metrics.MetricRegistry.Type.BASE: As of release 5.0, please use `MetricRegistry.BASE_SCOPE` with `RegistryScope` instead.
org.eclipse.microprofile.metrics.MetricRegistry.Type.VENDOR: As of release 5.0, please use `MetricRegistry.VENDOR_SCOPE` with `RegistryScope` instead.